# Assembling all all-sky maps for a given latitude to a single pdf
#  The dates have been written manually, it might be nice to produce them 
#  by adapting the allsky.sh script

# each new year, the sets of dates and of *.pdf for pdftk, below, are to be renewed. 
#  By dates.txt and by MonDaLat.txt

LC_ALL="C"

Ye=2023

mkdir latitudes

cd latitudes

 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do

  LA=${L}A
  
  mkdir $L 
  cd $L

#  for ZE in 25 40
#  do 

for MoDa in \
01-09 \
02-08 \
03-10 \
04-08 \
05-07 \
06-06 \
07-05 \
08-04 \
09-03 \
10-02 \
11-01 \
11-30 \
12-30 

do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
#echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
#echo ${MoNDa}*.pdf \\ >>MonDa.txt

  
    if [ -f ../../$MoNDa/A/$LA.pdf ] 
    then
    ln -s ../../$MoNDa/A/$LA.pdf  ${MoNDa}${LA}.pdf 
    fi
done
  
   pdftk \
Jan09${LA}.pdf \
Feb08${LA}.pdf \
Mar10${LA}.pdf \
Apr08${LA}.pdf \
May07${LA}.pdf \
Jun06${LA}.pdf \
Jul05${LA}.pdf \
Aug04${LA}.pdf \
Sep03${LA}.pdf \
Oct02${LA}.pdf \
Nov01${LA}.pdf \
Nov30${LA}.pdf \
Dec30${LA}.pdf \
cat output ${LA}.pdf

    rm \
Jan09${LA}.pdf \
Feb08${LA}.pdf \
Mar10${LA}.pdf \
Apr08${LA}.pdf \
May07${LA}.pdf \
Jun06${LA}.pdf \
Jul05${LA}.pdf \
Aug04${LA}.pdf \
Sep03${LA}.pdf \
Oct02${LA}.pdf \
Nov01${LA}.pdf \
Nov30${LA}.pdf \
Dec30${LA}.pdf 

  cd ..

 done

cd ..
